curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇮🇳 Indien
Führerschein-Verifizierung Indien (RTO) API
Indische Führerscheine (RTO) per Datenbankabgleich prüfen mit Didit. Ab $0.15 pro Aufruf, keine Verträge, keine Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Prüft Eingabedaten anhand der Datenbanken der Straßenverkehrsämter der indischen Bundesstaaten. Didit stellt diesen Dienst über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten.
Abdeckung
- Abdeckung: > 75%
- Land: Indien
- Dienst-ID:
ind_drivers_licence - Datendomäne: Dokument
- Kategorie: DriverLicence
Eingaben
| Feld | Erforderlich | Beispiel |
|---|---|---|
full_name | Ja | John Doe |
date_of_birth | Ja | 1990-01-01 |
driver_license_number | Ja | SAMPLE-DL-12345 |
address.street_1 | Nein | 123 Sample Street |
address.street_2 | Nein | Unit 4 |
address.city | Nein | Sample City |
address.region | Nein | Sample State |
address.postal_code | Nein | 10001 |
vendor_data | Nein | user-1234 |
- Pflichteingaben:
full_name,date_of_birth,driver_license_number - Optionale Eingaben:
address.street_1,address.street_2,address.city,address.region,address.postal_code,vendor_data - Einwilligung: Erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: > 75%
- Preis: $0.15 pro erfolgreicher Abfrage
Body-Parameter
string
Standard:"IND"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankdienst.Beispiel:
INDstring
Standard:"ind_drivers_licence"
erforderlich
Array mit dieser Dienst-ID. Das Festlegen des Dienstes beschränkt die Anfrage auf genau diese Datenbank.Beispiel:
ind_drivers_licenceboolean
Standard:"true"
erforderlich
Ausdrückliche Einwilligung des Endbenutzers für diesen Dienst.Beispiel:
truestring
Standard:"John Doe"
erforderlich
Vollständiger rechtlicher Name zur Validierung.Beispiel:
John Doestring
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01string
Standard:"SAMPLE-DL-12345"
erforderlich
Führerscheinnummer.Beispiel:
SAMPLE-DL-12345object
Strukturiertes Objekt für die Wohnadresse. Verwenden Sie
street_1, street_2, city, region, postal_code und country. Eine vollständige Legacy-Adresszeichenfolge wird weiterhin akzeptiert, ist aber nicht empfohlen.Beispiel: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
Standard:"user-1234"
Ihre stabile Benutzerreferenz für diese Person, z. B. Ihre interne Benutzer-ID. Didit verwendet sie, um eigenständige Prüfungen demselben Endbenutzer zuzuordnen und doppelte Erkennungsmeldungen zu reduzieren.Beispiel:
user-1234Eingaberegeln und Validierungshinweise
addressist für diesen Dienst optional. Sie können eine vollständigeaddress-Zeichenfolge senden; Didit teilt sie nach Möglichkeit in strukturierte Adressbestandteile auf. Alternativ senden Sie die strukturierten Felder explizit.- Bei Adressdiensten senden Sie nach Möglichkeit strukturierte Adressfelder statt einer einzelnen
address-Zeichenfolge. address.street_1ist die Straßenadresse einschließlich Hausnummer und Straßentyp.address.street_2ist Wohnung, Einheit, Gebäude, Etage oder eine zusätzliche Adresszeile. Senden Sie das Feld nur, wenn Sie den Wert haben.address.cityist Stadt, Vorort, Distrikt, Ortsteil oder Nachbarschaft.address.regionist Bundesstaat, Provinz, Region oder Ort.address.postal_codeist die Postleitzahl.- Adressbasierte Datenbankdienste erfordern mindestens Straßenadresse und Postleitzahl. Anfragen, die vor der Quellenabfrage abgelehnt werden, werden nicht berechnet.
So rufen Sie es auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf gibt HTTP 200 zurück. Das Feld outcome_code zeigt Ihnen, was tatsächlich passiert ist. So wird beispielsweise eine echte biometrische Nichtübereinstimmung (BIOMETRIC_NO_MATCH) von einem Selfie unterschieden, das nicht gelesen werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion. Ihre konfigurierten Aktionen für Teilübereinstimmung/keine Übereinstimmung können ihn überschreiben.MATCH — Das Register hat die Identität bestätigt, und jedes geprüfte Feld stimmte überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH — Die Identifikationsnummer wurde gefunden, aber ein oder mehrere persönliche Felder (meist Name oder Geburtsdatum) stimmen nicht vollständig überein.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH — Das Register hat für die übermittelten Daten keine Übereinstimmung zurückgegeben.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche Felder genau insource_data erscheinen, hängt davon ab, was das Register zurückgibt. Das generierte Beispiel für ind_drivers_licence dokumentiert derzeit folgende normalisierte Struktur:
addressaddress_match_scoredate_of_birthidentification_number
Preise & SLAs
Abfragen zu indischen Führerscheinen (RTO) werden nur abgerechnet, wenn Didit ein eindeutiges Ergebnis von der Validierungsquelle erhält.- Preis pro Aufruf: $0.15 USD.
- Abrechnung: pro erfolgreiche Abfrage. Sie zahlen nicht, wenn das Register nicht erreichbar ist, wenn Pflichtfelder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischerweise p95 < 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit; die Verfügbarkeit der nachgelagerten Quelle variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026